%define upstream_name    YAML-Old
%define upstream_version 1.23

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Base class for YAML Loader classes
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/YAML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::YAML)
BuildArch: noarch

%description
The YAML::Old module implements a YAML Loader and Dumper based on the YAML
1.0 specification. the http://www.yaml.org/spec/ manpage

YAML is a generic data serialization language that is optimized for human
readability. It can be used to express the data structures of most modern
programming languages. (Including Perl!!!)

For information on the YAML syntax, please refer to the YAML specification.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.yml META.json CONTRIBUTING
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.230.0-2.mga8
+ Revision: 1519740
- Mageia 8 Mass Rebuild

* Thu Oct 18 2018 shlomif <shlomif> 1.230.0-1.mga7
+ Revision: 1322029
- cpan2dist


* Thu Oct 18 2018 cpan2dist 1.23-1mga
- initial mageia release, generated with cpan2dist
